Endpoint Vulnerability

Integer overflow in ANGLE library

Description

Security researcher Alex Chapman reported that the Almost Native Graphics Layer Engine (ANGLE) library used by Mozilla is vulnerable to an integer overflow. This vulnerability is present because of insufficient bounds checking in the drawLineLoop function, which can be driven by web content to overflow allocated memory, leading to a potentially exploitable crash.

Affected Products

Firefox

References

CVE-2013-1721,